Subject: bug#67161: 30.0.50; [PATCH] Add option `dired-filename-display-length'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Nov 2023 12:49:22 +0200

> Cc: [email-masked], [email-masked]
> Date: Sun, 26 Nov 2023 07:59:29 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Liu Hui <[email-masked]>
> > Date: Sun, 26 Nov 2023 10:56:52 +0800
> > Cc: Juri Linkov <[email-masked]>, [email-masked]
> > 
> > Thanks Eli! I wasn't aware of the face of glyph and I confirm the
> > dired display is correct with your fix.
> 
> Thanks for testing.
> 
> However, I'm beginning to think that this is a subtle misfeature in
> 'concat': it should support vector of glyphs with faces, and should
> preserve the face information (my patch simply discards faces, which
> could perhaps affect string-width result).
> 
> So I think we should perhaps extend 'concat' to support vectors of
> glyphs with faces.  Stefan, WDYT?

For now, I installed my fix, so that at least the code will work with
Juri's customizations.  If and when 'concat' supports glyphs with
faces in display-tables, we could revert the change in dired.el